Bug 471712 - add sh architecture support
add sh architecture support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: isdn4k-utils (Show other bugs)
10
sh4 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 21:36 EST by CHIKAMA Masaki
Modified: 2009-01-19 11:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-19 11:40:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
isdn4k-utils-sh-linux.patch (510 bytes, patch)
2008-11-14 21:36 EST, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2008-11-14 21:36:06 EST
Created attachment 323678 [details]
isdn4k-utils-sh-linux.patch

Description of problem:
 On sh architecture isdn4k-utils failt to compile with this message.

make[1]: Entering directory `/builddir/build/BUILD/isdn4k-utils-CVS-2006-07-20/ipppd
gcc -O2 -g -mieee -DIPPP_FILTER -DHAVE_PCAP_BPF_H   -c -o main.o main.c
main.c: In function 'vfmtmsg':
main.c:1308: error: incompatible type for argument 4 of 'vfmtmsg'

This patch fixes the problem.
--- isdn4k-utils-CVS-2006-07-20/ipppd/main.c.org        2008-07-06 00:10:14.000000000 +0900
+++ isdn4k-utils-CVS-2006-07-20/ipppd/main.c    2008-07-06 00:11:11.000000000 +0900
@@ -1302,7 +1302,7 @@
          * what gets passed for a va_list is like a void * in some sense.
          */
         a = va_arg(args, void *);
-#ifdef __alpha__       /* always do this? */
+#if defined(__alpha__) || defined(__sh__)       /* always do this? */
        n = fmtmsg(buf, buflen + 1, f, a);
 #else
        n = vfmtmsg(buf, buflen + 1, f, a);


Version-Release number of selected component (if applicable):
  isdn4k-utils-3.2-60
Comment 1 Bug Zapper 2008-11-26 00:25:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ngo Than 2009-01-19 11:40:52 EST
it's fixed in rawhide. thanks

Note You need to log in before you can comment on or make changes to this bug.